#ifndef _PYGAME2_DOCBASE_H_
#define _PYGAME2_DOCBASE_H_

#define DOC_BASE "Vector math module for Pygame2"
#define DOC_BASE_VECTOR_FROM_POLAR "vector_from_polar (p1, p2) -> Vector2\n\n"
#define DOC_BASE_VECTOR_FROM_SPHERICAL "vector_from_spherical (p1, p2, p3) -> Vector2\n\n"
#define DOC_BASE_VECTOR "Vector () -> Vector\n\nCreates a new Vector."
#define DOC_BASE_VECTOR_DIMENSION "Gets the dimensions of the Vector."
#define DOC_BASE_VECTOR_LENGTH "Gets the length of the Vector."
#define DOC_BASE_VECTOR_LENGTH_SQUARED "Gets the length of the Vector."
#define DOC_BASE_VECTOR_EPSILON "Gets or sets the exactness delta of the Vector."
#define DOC_BASE_VECTOR_ELEMENTS "Gets or sets the elements of the Vector.\n\nThis will only set a maximum of dimension values."
#define DOC_BASE_VECTOR_NORMALIZED "Gets whether the Vector is normalized."
#define DOC_BASE_VECTOR_NORMALIZE "ormalize () -> Vector\n\n"
#define DOC_BASE_VECTOR_NORMALIZE_IP "ormalize_ip () -> None\n\n"
#define DOC_BASE_VECTOR_SLERP "slerp () -> Vector\n\n"
#define DOC_BASE_VECTOR_LERP "lerp () -> Vector\n\n"
#define DOC_BASE_VECTOR_DOT "dot () -> float\n\n"
#define DOC_BASE_VECTOR_SCALE_TO "scale_to (v) -> Vector\n\n"
#define DOC_BASE_VECTOR_REFLECT "reflect () -> Vector\n\n"
#define DOC_BASE_VECTOR_REFLECT_IP "reflect_ip () -> None\n\n"
#define DOC_BASE_VECTOR_DISTANCE "distance () -> None\n\n"
#define DOC_BASE_VECTOR_DISTANCE_SQUARED "distance_squared () -> None\n\n"
#define DOC_BASE_VECTOR2 "Vector2 () -> Vector2\n\nCreates a new Vector2.\n\nA simple 2D vector containing only two elements."
#define DOC_BASE_VECTOR2_DIMENSION "Gets the dimensions of the Vector2."
#define DOC_BASE_VECTOR2_ELEMENTS "Gets or sets the elements of the Vector2.\n\nThis will only set a maximum of two values."
#define DOC_BASE_VECTOR2_X "Gets or sets first element of the Vector2."
#define DOC_BASE_VECTOR2_Y "Gets or sets second element of the Vector2."
#define DOC_BASE_VECTOR2_ROTATE "rotate () -> Vector2\n\n"
#define DOC_BASE_VECTOR2_ROTATE_IP "rotate_ip () -> Vector2\n\n"
#define DOC_BASE_VECTOR2_AS_POLAR "as_polar () -> float, float\n\n"
#define DOC_BASE_VECTOR2_ANGLE_TO "angle_to (v) -> float\n\n"
#define DOC_BASE_VECTOR2_CROSS "cross (v) -> Vector2\n\n"
#define DOC_BASE_VECTOR3 "Vector3 () -> Vector3\n\nCreates a new Vector3.\n\nA simple 3D vector containing only three elements."
#define DOC_BASE_VECTOR3_DIMENSION "Gets the dimensions of the Vector3."
#define DOC_BASE_VECTOR3_ELEMENTS "Gets or sets the elements of the Vector3.\n\nThis will only set a maximum of three values."
#define DOC_BASE_VECTOR3_X "Gets or sets first element of the Vector3."
#define DOC_BASE_VECTOR3_Y "Gets or sets second element of the Vector3."
#define DOC_BASE_VECTOR3_Z "Gets or sets third element of the Vector3."
#define DOC_BASE_VECTOR3_ROTATE_X "rotate_x () -> Vector3\n\n"
#define DOC_BASE_VECTOR3_ROTATE_X_IP "rotate_x_ip () -> None\n\n"
#define DOC_BASE_VECTOR3_ROTATE_Y "rotate_y () -> Vector3\n\n"
#define DOC_BASE_VECTOR3_ROTATE_Y_IP "rotate_y_ip () -> None\n\n"
#define DOC_BASE_VECTOR3_ROTATE_Z "rotate_z () -> Vector3\n\n"
#define DOC_BASE_VECTOR3_ROTATE_Z_IP "rotate_z_ip () -> None\n\n"
#define DOC_BASE_VECTOR3_ROTATE "rotate () -> Vector3\n\n"
#define DOC_BASE_VECTOR3_ROTATE_IP "rotate_ip () -> Vector3\n\n"
#define DOC_BASE_VECTOR3_ANGLE_TO "angle_to (v) -> float\n\n"
#define DOC_BASE_VECTOR3_CROSS "cross (v) -> Vector3\n\n"
#define DOC_BASE_VECTOR3_AS_SPHERICAL "as_spherical () -> float, float, float\n\n"

#endif
