#ifndef _PYGAME2_DOCFASTEVENT_H_
#define _PYGAME2_DOCFASTEVENT_H_

#define DOC_FASTEVENT "fast SDL event handling module"
#define DOC_FASTEVENT_GET "get () -> [Event, Event, ...]\n\nGets events from the event queue.\n\nGets the current events from the event queue. If no argument is\npassed, all currently available events are received from the event\nqueue and returned as list. Otherwise, the argument can be a\nsequence or a bitmask combination of event types to receive from\nthe queue.\n\nIf no matching events are found on the queue, an empty list will be\nreturned."
#define DOC_FASTEVENT_INIT "init () -> None\n\nInitializes the underlying fastevents system."
#define DOC_FASTEVENT_POLL "poll () -> Event\n\nGets a single event from the event queue.\n\nReturns a single event from the queue. If the event queue is\nempty, None will be returned. If an event is available and\nreturned, it will be removed from the queue."
#define DOC_FASTEVENT_PUSH "push (event) -> None\n\nPlaces a new event at the end of the event queue.\n\nThis is usually used for placing user defined events on the event\nqueue. You also can push user created device events on the queue,\nbut this will not change the state of the device itself."
#define DOC_FASTEVENT_QUIT "quit () -> None\n\nQuits the underlying fastevents system and releases all hold resources."
#define DOC_FASTEVENT_WAIT "wait () -> Event\n\nWaits indefinitely for the next available event.\n\nThis is a blocking method, that only returns, if an event occurs\non the event queue. Once an event occurs, it will be returned to\nthe caller and removed from the queue. While the program is\nwaiting it will sleep in an idle state."
#define DOC_FASTEVENT_EVENT "Event (type, dict) -> Event\n\nCreates a new event to be used in the event messaging system.\n\nThis is exactly the same type as the\npygame2.sdl.event.Event class. Take a look at its\ndocumentation for more details."
#define DOC_FASTEVENT_EVENT_NAME "Gets the name of the Event."
#define DOC_FASTEVENT_EVENT_TYPE "Gets type id of the Event."

#endif
