#ifndef _PYGAME2_DOCPRIMITIVES_H_
#define _PYGAME2_DOCPRIMITIVES_H_

#define DOC_PRIMITIVES "SDL_gfx primitives drawing module"
#define DOC_PRIMITIVES_AACIRCLE "aacircle (surface, x, y, radius, color) -> None\naacircle (surface, point, radius, color) -> None\n\nDraws an anti-aliased circular shape on a surface.\n\nDraws a anti-aliased circular shape on a *surface* with a fixed line\nwidth of 1px. The *x*, *y* point denotes the center of the circle."
#define DOC_PRIMITIVES_AAELLIPSE "aaellipse (surface, x, y, rx, ry, color) -> None\naaellipse (surface, point, radius, color) -> None\n\nDraws an anti-aliased elliptical shape on a surface.\n\nDraws an anti-aliased elliptical shape on a *surface* with a fixed\nline width of 1px. The *x*, *y* tuple denotes the center of the\nellipse, *rx*, *ry* the radius for the x- and y-axis."
#define DOC_PRIMITIVES_AALINE "aaline (surface, x1, y1, x2, y2, color) -> None\naaline (surface, point1, point2, color) -> None\n\nDraws an anti-aliased line on a surface.\n\nDraws an anti-aliased line on a *surface* with a fixed width of\n1px. *x1*, *y1* and *x2*, *y2* denote the start and end position\nof the line."
#define DOC_PRIMITIVES_AAPOLYGON "aapolygon (surface, (point1, point2, ...), color) -> None\n\nDraws an anti-aliased polygonal shape on a surface.\n\nDraws an anti-aliased polygonal shape on a *surface* with an fixed line\nwidth of 1px."
#define DOC_PRIMITIVES_AATRIGON "aatrigon (surface, x1, y1, x2, y2, x3, y3, color) -> None\naatrigon (surface, point1, point2, point3, color) -> None\n\nDraws an anti-aliased triangular shape on a surface.\n\nDraws an anti-aliased triangular shape on a *surface* with an fixed\nline width of 1px. The three *x*, *y* points denote the edges of\nthe triangle."
#define DOC_PRIMITIVES_ARC "arc (surface, x, y, radius, startangle, stopangle, color) -> None\narc (surface, point, radius, startangle, stopangle, color) -> None\n\nDraws an elliptical arc on a surface.\n\nDraws an elliptical arc on a *surface*. The *startangle* and\n*stopangle* arguments are the initial and final angle in degrees."
#define DOC_PRIMITIVES_BEZIER "bezier (surface, (point1, point2, ...), steps, color) -> None\n\nDraws a bezier curve on a surface.\n\nDraws a bezier curve through the given points on a *surface*. *steps*\ndenotes the amount of steps to perform for interpolating the curve."
#define DOC_PRIMITIVES_BOX "box (surface, rect, color) -> None\n\nDraws a filled rectangular shape on a surface.\n\nDraws a filled rectangular shape on a surface."
#define DOC_PRIMITIVES_CIRCLE "circle (surface, x, y, radius, color) -> None\ncircle (surface, point, radius, color) -> None\n\nDraws a circular shape on a surface.\n\nDraws a circular shape on a *surface* with a fixed line width of\n1px. The *x*, *y* point denotes the center of the circle."
#define DOC_PRIMITIVES_ELLIPSE "ellipse (surface, x, y, rx, ry, color) -> None\nellipse (surface, point, radius, color) -> None\n\nDraws an elliptical shape on a surface.\n\nDraws an elliptical shape on a *surface* with a fixed line width of\n1px.  The *x*, *y* point denotes the center of the ellipse, *rx*,\n*ry* the radius for the x- and y-axis."
#define DOC_PRIMITIVES_FILLED_CIRCLE "filled_circle (surface, x, y, radius, color) -> None\nfilled_circle (surface, point, radius, color) -> None\n\nDraws a filled circular shape on a surface.\n\nDraws a filled circular shape on a *surface*. The *x*, *y* point\ndenotes the center of the circle."
#define DOC_PRIMITIVES_FILLED_ELLIPSE "filled_ellipse (surface, x, y, rx, ry, color) -> None\nfilled_ellipse (surface, point, radius, color) -> None\n\nDraws a filled elliptical shape on a surface.\n\nDraws a filled elliptical shape on a *surface*. The *x*, *y* point\ndenotes the center of the ellipse, *rx*, *ry* the radius for the\nx- and y-axis."
#define DOC_PRIMITIVES_FILLED_PIE "filled_pie (surface, x, y, r, startangle, stopangle, color) -> None\nfilled_pie (surface, point, r, startangle, stopangle, color) -> None\n\nDraws a filled pie-like shape on a surface.\n\nDraws a filled pie-like shape on a *surface*. The *x*, *y* point\ndenotes the center of the pie segment, *startangle* and\n*stopangle* the initial and final angle in degrees."
#define DOC_PRIMITIVES_FILLED_POLYGON "filled_polygon (surface, (point1, point2, ...), color) -> None\n\nDraws a filled polygonal shape on a surface.\n\nDraws a filled polygonal shape on a *surface*."
#define DOC_PRIMITIVES_FILLED_TRIGON "filled_trigon (surface, x1, y1, x2, y2, x3, y3, color) -> None\nfilled_trigon (surface, point1, point2, point3, color) -> None\n\nDraws a filled triangular shape on a surface.\n\nDraws a filled triangular shape on a *surface*. The three *x*, *y*\npoints denote the edges of the triangle."
#define DOC_PRIMITIVES_HLINE "hline (surface, x1, x2, y, color) -> None\n\nDraws a horizontal line on a surface.\n\nDraws a horizontal line on a *surface* with the fixed width of 1 px.\n*x1* and *x2* denote the start and end position on the x-axis, *y*\nthe vertical position of the line on the y-axis."
#define DOC_PRIMITIVES_LINE "line (surface, x1, y1, x2, y2, color) -> None\nline (surface, point1, point2, color) -> None\n\nDraws a line on a surface.\n\nDraws a line on a *surface* with a fixed width of 1px. *x1*, *y1*\nand *x2*, *y2* denote the start and end position of the line."
#define DOC_PRIMITIVES_PIE "pie (surface, x, y, r, startangle, stopangle, color) -> None\npie (surface, point, r, startangle, stopangle, color) -> None\n\nDraws a pie-like shape on a surface.\n\nDraws a pie-like shape on a *surface* with a fixed width of 1px. The\n*x*, *y* point denotes the center of the pie segment, *startangle*\nand *stopangle* the initial and final angle in degrees."
#define DOC_PRIMITIVES_PIXEL "pixel (surface, x, y, color) -> None\npixel (surface, point, color) -> None\n\nDraws a single pixel on a surface.\n\nDraws a single pixel on a *surface*."
#define DOC_PRIMITIVES_POLYGON "polygon (surface, ((x1, y1), (x2, y2), ...), color) -> None\n\nDraws a polygonal shape on a surface.\n\nDraws a polygonal shape on a *surface*."
#define DOC_PRIMITIVES_RECTANGLE "rectangle (surface, rect, color) -> None\n\nDraws a rectangular shape on a surface.\n\nDraws a rectangular shape on a *surface*."
#define DOC_PRIMITIVES_TEXTURED_POLYGON "textured_polygon (surface, (point1, point2, ...), texture, tx, ty) -> None\ntextured_polygon (surface, (point1, point2, ...), texture, tpoint) -> None\n\nDraws a textured polygonal shape on a surface.\n\nDraws a textured polygonal shape on a *surface*. *texture* is a\npygame2.sdl.video.Surface to be used for filling the shape,\n*tx*, *ty* are the offset of the texture relative to the screen."
#define DOC_PRIMITIVES_TRIGON "trigon (surface, x1, y1, x2, y2, x3, y3, color) -> None\ntrigon (surface, point1, point2, point3, color) -> None\n\nDraws a triangular shape on a surface.\n\nDraws a filled triangular shape on a *surface* with a fixed line\nwidth of 1px. The three *x*, *y* points denote the edges of the\ntriangle."
#define DOC_PRIMITIVES_VLINE "vline (surface, x, y1, y2, color) -> None\n\nDraws a vertical line on a surface.\n\nDraws a vertical line on a *surface* with a fixed width of 1px. *y1*\nand *y2* denote the start and end position on the y-axis, *x* the\nhorizontal position of the line on the x-axis."

#endif
