#ifndef _PYGAME2_DOCROTOZOOM_H_
#define _PYGAME2_DOCROTOZOOM_H_

#define DOC_ROTOZOOM "SDL_gfx rotozoom wrapper module"
#define DOC_ROTOZOOM_ROTATE_90 "rotate_90 (surface, times) -> pygame2.sdl.video.Surface\n\nRotates a surface clockwise by 90 degrees.\n\nRotates the passed *surface* clockwise by 90 degrees and returns a new\npygame2.sdl.video.Surface with the rotated result.\n*times* denotes the amount of rotations to perform."
#define DOC_ROTOZOOM_ROTOZOOM "rotozoom (surface, angle, zoom[, smooth]) -> pygame2.sdl.video.Surface\n\nRotates and zooms a surface.\n\nRotates and zooms a *surface* at the same time and returns a new\npygame2.sdl.video.Surface with the result. *angle* is the\nrotation angle in degrees, *zoom* the zoom factor. The optional\n*smooth* argument is used for smoothing the edges and pixels of\nthe returned surface."
#define DOC_ROTOZOOM_ROTOZOOM_SIZE "rotozoom_size (width, height, angle, zoom) -> int, int\nrotozoom_size (size, angle, zoom) -> int, int\nrotozoom_size (surface, angle, zoom) -> int, int\n\nCalculates the resulting surface size for a rotozoom operation.\n\nCalculates the size of the resulting surface, if a rotozoom operation\ntakes place on a specific pygame2.sdl.video.Surface."
#define DOC_ROTOZOOM_ROTOZOOM_SIZE_XY "rotozoom_size_xy (width, height, angle, zoomx, zoomy) -> int, int\nrotozoom_size_xy (size, angle, zoomx, zoomy) -> int, int\nrotozoom_size_xy (surface, angle, zoomx, zoomy) -> int, int\n\nCalculates the resulting surface size for a rotozoom operation.\n\nCalculates the size of the resulting surface, if a rotozoom operation\ntakes place on a specific pygame2.sdl.video.Surface."
#define DOC_ROTOZOOM_ROTOZOOM_XY "rotozoom_xy (surface, angle, zoomx, zoomy[, smooth]) -> pygame2.sdl.video.Surface\n\nRotates and zooms a surface with different scaling factors for the x- and y- axes.\n\nRotates and zooms a *surface* at the same time and returns a new\npygame2.sdl.video.Surface with the result. *angle* is the\nrotation angle in degrees, *zoomx* and *zoomy* the zoom factors\nfor the x- and y-axis. The optional *smooth* argument is used for\nsmoothing the edges and pixels of the returned surface."
#define DOC_ROTOZOOM_SHRINK "zoom (surface, shrinkx, shrinky) -> pygame2.sdl.video.Surface\n\nShrinks a surface.\n\nShrinks a *surface* and returns a new\npygame2.sdl.video.Surface with the result. *shrinkx* and\n*shrinky* are the shrink factors for the x- and y-axis."
#define DOC_ROTOZOOM_ZOOM "zoom (surface, zoomx, zoomy[, smooth]) -> pygame2.sdl.video.Surface\n\nZooms a surface.\n\nZooms a *surface* and returns a new\npygame2.sdl.video.Surface with the result. *zoomx* and\n*zoomy* are the zoom factors for the x- and y-axis. The optional\n*smooth* argument is used for smoothing the edges and pixels of\nthe returned surface."
#define DOC_ROTOZOOM_ZOOM_SIZE "zoom_size (width, height, angle, zoom) -> int, int\nzoom_size (surface, angle, zoom) -> int, int\n\nCalculates the resulting surface size for a zoom operation.\n\nCalculates the size of the resulting surface, if a zoom operation\ntakes place on a specific pygame2.sdl.video.Surface."

#endif
