#ifndef _PYGAME2_DOCBASE_H_
#define _PYGAME2_DOCBASE_H_

#define DOC_BASE "Basic SDL_image wrapper module"
#define DOC_BASE_INIT "init (flags) -> int\n\nInitializes the library bindings of the underlying SDL_image library.\n\nInitializes the library bindings of the underlying SDL_image\nlibrary. This loads the dynamic libraries for PNG, JPG and TIF\nimages and avoid multiple library loading/unloading calls.\n\n*NOTE:* The call is optional."
#define DOC_BASE_GET_ERROR "get_error () -> pygame2.Error\n\nGets the last pygame2.Error occured.\n\nSDL_image maintains an internal error message. This message will\nusually be given to you when a pygame2.Error is\nraised.\n\nYou will rarely need to call this function."
#define DOC_BASE_LOAD "load (file[, type]) -> pygame2.sdl.video.Surface\n\nLoads an image file and creates a pygame2.sdl.video.Surface from\nit.\n\nLoads an image file and creates a pygame2.sdl.video.Surface from\nit. The *file* argument can be a file object or filename. *type* is an\noptional argument indicating the image type as string.\n\n.. note\n\nThe file object *must* support binary read and write\naccess. This is especially important for Python 3.x users."
#define DOC_BASE_QUIT "quit () -> None\n\nDeinitializes the library bindings of the underlying SDL_image library.\n\nDeinitializes the library bindings of the underlying SDL_image\nlibrary. This releases the loaded dynamic libraries for PNG, JPG\nand TIF images."
#define DOC_BASE_READ_XPM_FROM_ARRAY "read_xpm_from_array (buffer) -> pygame2.sdl.video.Surface\n\nCreates a pygame2.sdl.video.Surface from a XPM buffer.\n\nCreates a pygame2.sdl.video.Surface from a XPM\nbuffer. The *buffer* can be any type that can be used as character\nbuffer."

#endif
