#ifndef _PYGAME2_DOCKEYBOARD_H_
#define _PYGAME2_DOCKEYBOARD_H_

#define DOC_KEYBOARD "SDL keyboard I/O wrapper module"
#define DOC_KEYBOARD_ENABLE_REPEAT "enable_repeat (delay, interval) -> None\n\nEnables or disables the keyboard repeat rate.\n\nEnables or disables the keyboard repeat rate. *delay* specifies how\nlong a key must be pressed before the repeat begins. *interval* is\nthe speed with which it repeats. *delay* and *interval* are expressed\nas milliseconds. Thus, after the initial delay has passed,\nrepeated KEYDOWN events are sent through the event queue, using\nthe specified *interval*.\n\nSetting *delay* to 0 will disable repeating completely."
#define DOC_KEYBOARD_ENABLE_UNICODE "enable_unicode ([enable]) -> bool\n\nEnables or disables unicode input handling.\n\nEnables or disables unicode input handling. If the argument is\nomitted, the function will return the current unicode handling\nstate.\n\nBy default unicode handling is enabled and for keyboard events,\nthe *unicode* member of the event will be filled with the\ncorresponding unicode character."
#define DOC_KEYBOARD_GET_KEY_NAME "get_key_name (key) -> str\n\nGet the descriptive name for a key constant."
#define DOC_KEYBOARD_GET_MOD_STATE "get_mod_state () -> int\n\nReturns the current state of the modifier keys (CTRL, ALT, etc.).\n\nReturns a single integer representing a bitmask of all the\nmodifier keys being held. Using bitwise operators you can test if\nspecific shift keys are pressed, the state of the capslock button,\nand more.\n\nThe bitmask will consist of the various keyboard modifier flags as\nspecified in the :mod:pygame2.sdl.constants module."
#define DOC_KEYBOARD_GET_REPEAT "get_repeat () -> int, int\n\nGets the currently set keyboard repeat delay and interval."
#define DOC_KEYBOARD_GET_STATE "get_state () -> dict\n\nGets the current keyboard state.\n\nGets a dictionary with the current keyboard state. The keys of the\ndictionary are the key constants, the boolean values of the\ndictionary indicate, whether a certain key is pressed or not."
#define DOC_KEYBOARD_SET_MOD_STATE "set_mod_state (mod) -> None\n\nSets the current modifier key state.\n\nSets the current modifier key state. mod has to be a bitwise OR'd\ncombination of the keyboard modifier flags as specified in the\n:mod:pygame2.sdl.constants module."

#endif
