#ifndef _PYGAME2_DOCMOUSE_H_
#define _PYGAME2_DOCMOUSE_H_

#define DOC_MOUSE "SDL mouse I/O wrapper module"
#define DOC_MOUSE_GET_POSITION "get_position () -> x, y\n\nGets the current mouse position on the main screen."
#define DOC_MOUSE_GET_REL_POSITION "get_rel_position () -> x, y\n\nGets the relative mouse movement.\n\nGets the relative mouse movement since the last call to this function."
#define DOC_MOUSE_GET_REL_STATE "get_rel_state () -> buttons, x, y\n\nGets the relative mouse state.\n\nGets the relative mouse state since the last call to this function."
#define DOC_MOUSE_GET_STATE "get_state () -> buttons, x, y\n\nGets the current mouse state.\n\nGets the current mouse state. The returned buttons value\nrepresents a bitmask with the pressed buttons."
#define DOC_MOUSE_SET_CURSOR "set_cursor (cursor) -> None\n\nSets the mouse cursor to be shown.\n\nSets the mouse cursor to be displayed. The change will be visible\nimmediately."
#define DOC_MOUSE_SET_POSITION "set_position (x, y) -> None\nset_position (point) -> None\n\nSets the position of the mouse cursor.\n\nSets the position of the mouse cursor on the main screen. This\nbehaves exactly as the warp method."
#define DOC_MOUSE_SET_VISIBLE "set_visible (show) -> state\n\nToggles whether the cursor is shown on the screen.\n\nToggles whether the cursor is shown on the screen. This\nbehaves exactly as the show_cursor method."
#define DOC_MOUSE_SHOW_CURSOR "show_cursor (show) -> state\n\nToggles whether the cursor is shown on the screen.\n\nToggles whether the cursor is shown on the screen. *show* can be a\nboolean or one a value of ENABLE, DISABLE and\nQUERY. QUERY will not change the visibility state but\nquery, if the cursor is currently shown or not.\n\nThe state returned is a value of ENABLE and DISABLE,\nindicating, whether the cursor is currently shown or not."
#define DOC_MOUSE_WARP "warp (x, y) -> None\nwarp (point) -> None\n\nSets the position of the mouse cursor.\n\nSets the position of the mouse cursor on the main screen. This\nalso will generate a mouse motion event."
#define DOC_MOUSE_CURSOR "Cursor (data, mask, width, height[, hotx, hoty]) -> Cursor\nCursor (data, mask, size[, point]) -> Cursor\n\nCreates a new mouse cursor pointer.\n\nCreates a new mouse cursor pointer from the specified pixel *data*\nand pixel *mask*. The *mask* is used for applying transparency to the\ndata defining the mouse cursor."

#endif
