#ifndef _PYGAME2_DOCTIME_H_
#define _PYGAME2_DOCTIME_H_

#define DOC_TIME "SDL time handling and measurement wrapper module."
#define DOC_TIME_ADD_TIMER "add_timer (interval, callable[, data]) -> CObject\n\nAdds a timer callback to be called periodically.\n\nAdds a timer callback to be called periodically using the specified\n*interval*. *callable* can be any callable objet, method or function.\nOn invocation, the optional *data* will be passed to the callable. If\n*data* is a sequence, each item of it will be passed as single argument\nto tha callable.\n\nThis will return an CObject that acts as unique id for the timer callback.\n\n.. note\n\nTimer callbacks will be invoked from a seperate thread, if the\nunderlying SDL library can use threads. In those cases, the\ninvoked callback will lock the interpreter instance, execute and\nrelease the lock. This in turn means that your callback must\ntake care of not locking itself in order to wait for another\nfunction or thread to be executed within the same interpreter\ninstance. Otherwise you can run into a classic dead lock\nsituation.\n\nAny added timer will be removed automatically on calling :func:quit."
#define DOC_TIME_DELAY "delay (time) -> None\n\nDelays the execution for a specific time.\n\nDelays the program execution for a specific *time*. The *time* is\nexpressed in milliseconds.\n\n.. note\n\nThis does *not* require :func:init to be called before."
#define DOC_TIME_GET_TICKS "get_ticks () -> long\n\nGets the number of milliseconds since the initialization of the underlying\nSDL library.\n\nGets the number of milliseconds since the initialization of the underlying\nSDL library. The value will wrap if the program runs for more than ~49\ndays."
#define DOC_TIME_INIT "init () -> None\n\nInitializes the timer subsystem of the SDL library."
#define DOC_TIME_QUIT "quit () -> None\n\nShuts down the timer subsystem of the SDL library.\n\nAfter calling this function, you should not invoke any class,\nmethod or function related to the timer subsystem as they are\nlikely to fail or might give unpredictable results.\n\n.. note\n\nAny timer set by :func:set_timer or :func:add_timer will be removed\nautomatically on calling :func:quit."
#define DOC_TIME_REMOVE_TIMER "remove_timer (timerobj) -> None\n\nRemoves a previously added timer callback.\n\nRemoves a previously added timer callback and throws an exception, if the\npassed object is not a matching timer object."
#define DOC_TIME_WAS_INIT "was_init () -> bool\n\nReturns, whether the timer subsystem of the SDL library is initialized."

#endif
