#ifndef _PYGAME2_DOCBASE_H_
#define _PYGAME2_DOCBASE_H_

#define DOC_BASE "Basic SDL_ttf wrapper module"
#define DOC_BASE_GET_COMPILED_VERSION "get_compiled_version () -> (int, int, int)\n\nGets the SDL_ttf version pygame2 was compiled against as\nthree-value tuple.\n\nThis version is built at compile time. It can be used to detect\nwhich features may not be available through Pygame, if it is used\nas precompiled package using a different version of the SDL_ttf\nlibrary."
#define DOC_BASE_GET_ERROR "get_error () -> pygame2.Error\n\nGets the last pygame2.Error occured.\n\nSDL_ttf maintains an internal error message. This message will usually\nbe given to you when a pygame2.Error is raised. You will\nrarely need to call this function."
#define DOC_BASE_GET_VERSION "get_version () -> (int, int, int)\n\nGets the SDL version pygame2 currently uses as three-value tuple.\n\nThis version is detected at runtime. It can be used to detect\nwhich features may not be available through Pygame, if it is used\nas precompiled package using a different version of the SDL library."
#define DOC_BASE_INIT "init () -> None\n\nInitializes the SDL_ttf library."
#define DOC_BASE_QUIT "quit () -> None\n\nShuts down the SDL_ttf library.\n\nAfter calling this function, you should not invoke any class,\nmethod or function related to the sdlttf module as they are likely to\nfail or might give unpredictable results."
#define DOC_BASE_SET_BYTE_SWAPPED_UNICODE "set_byte_swapped_unicode (swapped) -> None\n\nSets, whether unicode text should be handled with a swapped BOM."
#define DOC_BASE_WAS_INIT "was_init () -> bool\n\nReturns, whether the the SDL_ttf library is initialized."
#define DOC_BASE_FONT "Font (file, size[, index]) -> Font\n\nCreates a new Font from a TTF font file.\n\nCreates a new Font from a TTF font *file* using the specified *size* in\npoints. If the font features different faces, they can be chosen using\nthe optional *index*.\n\n.. note\n\nThe *file* object *must* support binary read and write\naccess. This is especially important for Python 3.x users."
#define DOC_BASE_FONT_ASCENT "Gets the ascent of the Font."
#define DOC_BASE_FONT_DESCENT "Gets the descent of the Font."
#define DOC_BASE_FONT_FACES "Gets the amount of available font faces."
#define DOC_BASE_FONT_FAMILY_NAME "Gets the font face family name."
#define DOC_BASE_FONT_HEIGHT "Gets the height of the Font."
#define DOC_BASE_FONT_IS_FIXED_WIDTH "Gets whether the chosen font face is a fixed width one."
#define DOC_BASE_FONT_LINE_SKIP "Gets the line skip of the Font."
#define DOC_BASE_FONT_STYLE "Gets or sets the style of the font. The style can be a valid\nvalue of the style constants in the :mod:pygame2.sdlttf.constants\nmodule."
#define DOC_BASE_FONT_STYLE_NAME "Gets the currently set font style name."
#define DOC_BASE_FONT_GET_GLYPH_METRICS "get_glyph_metrics (text) -> [(int,int,int,int,int), ...]\n\nGets the glyph metrics of a string.\n\nGets the glyph metrics for each individual character of a string.\nThe metrics returned for each character consist of the xMin, yMin,\nxMax, yMax and advance values.\n\nhttp://freetype.sourceforge.net/freetype2/docs/tutorial/step2.html\ncontains a detailed description of those values.\n\nIf no suitable character for getting the glyph extents could be found\nin the font, a None value will be used instead of a 5-value tuple."
#define DOC_BASE_FONT_GET_SIZE "get_size (text) -> int, int\n\nGets the size of a text for this Font."
#define DOC_BASE_FONT_RENDER "render (text, fgcolor[, bgcolor, renderflag]) -> pygame2.sdl.video.Surface\n\nRenders a text to a pygame2.sdl.video.Surface.\n\nRenders the specified *text* to a pygame2.sdl.video.Surface.\nThe text will have the chosen foreground color for the glyphs. The\noptional *bgcolor* argument denotes the background color to use for the\nreturned pygame2.sdl.video.Surface, if - and only if -\nthe *renderflag* is RENDER_SHADED (the default). Otherwise the\npygame2.sdl.video.Surface will be transparent except for the\nrendered glyphs.\n\nThe *renderflag argument* can be set to one of the rendering constants\nof the :mod:pygame2.sdlttf.constants module."

#endif
